import tkinter as tk
from tkinter import ttk

class Picasso():
    def __init__(self, window):
        self.w = window
        self.w.geometry("1000x800")
        self.w.resizable(False, False)
        self.w.title("Picasso")
        self.w.resizable(False, False)
        self.width = 2
        self.color = "black"
        tk.Label(self.w, text="Picasso controls: +/- line thikness, colors: b=black, l=blue, r=red, g=green, x=delete", \
                  font="arial 20", bg="lightyellow").pack(fill="x")
        self.create_canvas()
    def create_canvas(self):
        self.canvas = tk.Canvas(self.w, background="lightyellow")
        self.canvas.pack(fill="both", expand=True)
        self.canvas.bind("<Button-1>", self.startDraw)
        self.canvas.bind("<B1-Motion>", self.drawLine)
        self.w.bind("<Key>", self.changeLine)
    def startDraw(self, event):
        self.lastx, self.lasty = event.x, event.y
    def drawLine(self, event):
        self.canvas.create_line(self.lastx, self.lasty, event.x, event.y, \
            fill = self.color, width = self.width)
        self.lastx, self.lasty = event.x, event.y
    def changeLine(self, event):
        print('change line', event.char)
        if event.char == "+": self.width += 2
        elif event.char == "-": 
            if self.width >= 4: self.width -= 2
        elif event.char == "r": self.color = "red"
        elif event.char == "g": self.color = "green"
        elif event.char == "l": self.color = "blue"
        elif event.char == "b": self.color = "black"
        elif event.char == "x": self.canvas.delete("all")

def main():
    w = tk.Tk()
    Picasso(w)
    w.mainloop()

if __name__ == "__main__": main()
        